
class Dir

  # Is a path parental to another?
  #--
  # TODO Needs work
  #++
  def self.ancestor?(parent_path, child_path)
    %r|^#{Regexp.escape(parent_path)}| =~ child_path
  end

end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCDir < Test::Unit::TestCase

    def test_ancestor
      assert( Dir.ancestor?( "a/b/c", "a/b/c/d" ) )
    end

  end

=end
